need assistance please [update from 3.0]

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
TWC_Fatal_Error
Registered User
Posts: 1
Joined: Fri Jul 20, 2018 2:53 pm

need assistance please [update from 3.0]

Post by TWC_Fatal_Error » Fri Jul 20, 2018 2:59 pm

Support Request Template
What version of phpBB are you using? phpBB 3.0.1
What is your board's URL? http://www.forums.twcclan.com
Who do you host your board with? 1 and 1
How did you install your board? Someone else installed my board for me
What is the most recent action performed on your board? Please select your answer
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What styles do you currently have installed? Prosilver
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? New to PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? We need to update our board and not lose any information we have collected over 17 years
Please describe your problem. Need help in doing so
Generated by SRT Generator
Last edited by KevC on Fri Jul 20, 2018 3:01 pm, edited 1 time in total.
Reason: added a better title edit

User avatar
HiFiKabin
Community Team Member
Community Team Member
Posts: 3245
Joined: Wed May 14, 2014 9:10 am
Location: Swearing at the PC, UK
Name: James
Contact:

Re: need assistance please [update from 3.0]

Post by HiFiKabin » Fri Jul 20, 2018 3:27 pm

It is not difficult to update but you need to follow the steps below exactly as listed.

If you are in any doubt in how to proceed, then ask rather than assume.

Notes:
  • Your server must be running at least PHP 5.4.7 or higher.
  • phpBB 3.2 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading.
  • Styles and MODs from 3.0 cannot be installed on phpBB 3.2. To upgrade, perform the following steps:
  1. Make a back-up of the original files and database
  2. Deactivate all styles except for prosilver
  3. Remove all MOD-related changes from the database. The Support Toolkit's Database Cleaner can be used for this.
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack and delete all other language pack directories from your server
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
    • The /store/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.2.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to www.example.com/install/
  9. Click the Update tab
  10. Click the Update button
  11. Select "Update database only" and click Submit
  12. Wait for the progress bar to reach 100% and for a message indicating that the update has completed
  13. Delete or rename the /install/ directory

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: rbc and 52 guests